Package: org.codehaus.groovy.control.messages

## [Java] Class ExceptionMessage

- org.codehaus.groovy.control.messages.ExceptionMessage

- A class for error messages produced by the parser system.

  Authors:
    Chris Poirier
  Version:
    \$Id\$

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `verbose` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExceptionMessage (Exception cause, boolean v, ProcessingUnit owner)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Exception` | `getCause()` Returns the underlying Exception.
    `void` | `write(PrintWriter output, Janitor janitor)` Writes out a nicely formatted summary of the exception.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Message` | `create, create, create, write, write`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected boolean verbose

  - ### Constructor Detail

    - #### public ExceptionMessage(Exception cause, boolean v, ProcessingUnit owner)

  - ### Method Detail

    - #### public Exception getCause()

      Returns the underlying Exception.

    - #### public void write(PrintWriter output, Janitor janitor)

      Writes out a nicely formatted summary of the exception.